class AppPageSettingModel {
  List<ListOfAppPageSettingModel>? list;
  bool? appPageSet;
  bool? empowerOA;

  AppPageSettingModel({
    this.list,
    this.appPageSet,
    this.empowerOA,
  });

  AppPageSettingModel.fromJson(json) {
    Map<String, dynamic> map = Map.from(json ?? {});

    list = List<ListOfAppPageSettingModel>.from(
        (map["list"] ?? []).map((x) => ListOfAppPageSettingModel.fromJson(x)));
    appPageSet = map['appPageSet'];
    empowerOA = map['empowerOA'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = Map<String, dynamic>();

    json['list'] = List<dynamic>.from((list ?? []).map((x) => x.toJson()));
    json['appPageSet'] = this.appPageSet;
    json['empowerOA'] = this.empowerOA;

    return json;
  }
}

class ListOfAppPageSettingModel {
  String? id;
  String? name;
  String? notSelectedIcon;
  String? selectedIcon;
  String? displayMode;
  num? sortNo;
  bool? isPreset;

  ListOfAppPageSettingModel({
    this.id,
    this.name,
    this.notSelectedIcon,
    this.selectedIcon,
    this.displayMode,
    this.sortNo,
    this.isPreset,
  });

  ListOfAppPageSettingModel.fromJson(json) {
    Map<String, dynamic> map = Map.from(json ?? {});

    id = map['id'];
    name = map['name'];
    notSelectedIcon = map['notSelectedIcon'];
    selectedIcon = map['selectedIcon'];
    displayMode = map['displayMode'];
    sortNo = map['sortNo'];
    isPreset = map['isPreset'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = Map<String, dynamic>();

    json['id'] = this.id;
    json['name'] = this.name;
    json['notSelectedIcon'] = this.notSelectedIcon;
    json['selectedIcon'] = this.selectedIcon;
    json['displayMode'] = this.displayMode;
    json['sortNo'] = this.sortNo;
    json['isPreset'] = this.isPreset;

    return json;
  }
}
